Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        DJ mixing tool
Name:      	mixxx
Version:   	1.6.0
Release:   	3
Provides:	%{name}
License: 	GNU/GPL
URL:	  	http://mixxx.sourceforge.net/
Group:     	Multimedia
Source0:        %{name}-%{version}-src.tar.gz
Source1:	%{name}.desktop
Patch0:		mixxx-1.6.0-destdir.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	alsa-lib-devel
BuildRequires:	libid3tag-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libmad-devel
BuildRequires:  libogg-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libvorbis-devel
BuildRequires:  python
BuildRequires:  lua-devel
BuildRequires:  libdjconsole-devel
BuildRequires:	qt4-devel

%description
Mixxx is designed for DJ'ing for both professional and semi-professional users. Mixxx was started in early 2001 as one of the first digital DJ systems. Today Mixxx includes many features common to digital DJ solutions, but also some very unique features: It is free, and runs on all major desktop operating systems. Futhermore Mixxx has a number of key features to help the DJ in the live mix: Beat estimation, parallel visual displays, and support for many DJ input controllers.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
scons prefix=/usr djconsole=1

%install

# doing the installation manually as both scons and install.pl approach
# are broken :(

# Copy skins to $BASE/share/mixxx
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/mixxx/skins/outline
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/mixxx/skins/traditional
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/mixxx/skins/outlineClose
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/mixxx/skins/outlineSmall
install -m 644 src/skins/outline/* ${RPM_BUILD_ROOT}/usr/share/mixxx/skins/outline
install -m 644 src/skins/outlineClose/* ${RPM_BUILD_ROOT}/usr/share/mixxx/skins/outlineClose
install -m 644 src/skins/outlineSmall/* ${RPM_BUILD_ROOT}/usr/share/mixxx/skins/outlineSmall
install -m 644 src/skins/traditional/* ${RPM_BUILD_ROOT}/usr/share/mixxx/skins/traditional

# Copy midi config files
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/mixxx/midi
install -m 644 src/midi/* ${RPM_BUILD_ROOT}/usr/share/mixxx/midi

# Copy keyboard config files
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/mixxx/keyboard
install -m 644 src/keyboard/* ${RPM_BUILD_ROOT}/usr/share/mixxx/keyboard

# Copy mixxx binary to $BASE/bin
install -m 755 -d ${RPM_BUILD_ROOT}/usr/bin
install -m 755 mixxx ${RPM_BUILD_ROOT}/usr/bin

# Copy doc files
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/doc/mixxx-$version
install -m 644 README ${RPM_BUILD_ROOT}/usr/share/doc/mixxx-$version
install -m 644 LICENSE ${RPM_BUILD_ROOT}/usr/share/doc/mixxx-$version
install -m 644 COPYING ${RPM_BUILD_ROOT}/usr/share/doc/mixxx-$version
install -m 644 Mixxx-Manual.pdf ${RPM_BUILD_ROOT}/usr/share/doc/mixxx-$version

# install desktop file
install -d ${RPM_BUILD_ROOT}%{_datadir}/applications/
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/
# strip binaries
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'



%files
%defattr(-,root,root)
%_bindir
%_datadir


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-3
- final version
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-2
- beta 2
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-1
- Version update
- beta 1
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0-1
- Version update
* Sat Apr 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-1
- Initial Release
